OBJ-RES(1)

NAME
obj-res - convert an object/executable file in a format supported by GNU BFD to PalmOS compatible resource files

SYNOPSIS
obj-res [-lL] <object.file>

DESCRIPTION
This manual page documents the utility obj-res. obj-res reads a file in a BFD supported object file format (most usually COFF) and generates the files necessary to make up a PalmOS executable in the current directory. These files can be bound together into a PalmOS executable using the build-prc utility.

  OPTIONS

-l generate resources for a GNU style 'GLib' shared library

-L generate resources for a PalmOS version 2 shared library

USEAGE
Pass the file name of the BFD compatible executable file on the command line. obj-res will generate the necessary resource files in the current directory ending in the extension .grc

BUGS
code #0 resources are generated with magic values for some fields that are unused by the current versions of PalmOS. Compression of the data #0 resource is simple minded.

AUTHOR
obj-res was written by D.Jeff Dionne, relocation by Kresten Krab Thorup.